Create the WhatsApp account for the project. Each project can only have one account.
The unique ID of the project. You can find this on the Sinch Dashboard.
Account data
The registered name of the brand who will be engaging with their users needs to be specified. This name must match the name associated with the Facebook Business Manager ID below. You can verify the registered name by visiting: https://business.facebook.com/select/?business_id=<your_business_manager_id> Ensure that the name shown exactly matches the one you enter here.
The Business Manager ID for the client to create the account. This can be found in the Meta Business Manager in Business Settings > Business Info below the Business Manager Account Name.
Details of the sender to be created.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp
Example body request to create an account.
curl -i -X POST \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"companyLegalName": "Legal name of company",
"clientBusinessManagerId": "1234567890"
}'Account
true if the Account was created through Embedded Signup. false otherwise.
Business manager.
Conversation API app regions the sender can be used for.
The current state of your account.
Ban state when account has been banned.
Two-letter country code in ISO 3166 standard, specifying the country where business is based
Current daily message limit of the account.
Response when successfully creating an account.
{ "isEmbeddedSignup": false, "businessManager": "SINCH_UK", "wabaId": "1234567890", "changes": { "status": "IN_PROGRESS", "details": { … } }, "compatibleRegions": [ "eu", "us" ] }